db4o |

# ObjectField.CascadeOnActivate Method

sets cascaded activation behaviour.

void CascadeOnActivate(
bool flag
);

#### Parameters

flag
  whether activation is to be cascaded to the member object.

#### Remarks

sets cascaded activation behaviour.
Setting cascadeOnActivate to true will result in the activation of the object attribute stored in this field if the parent object is activated.
The default setting is false.

#### See Also

ObjectField Interface | com.db4o.config Namespace | Why activation? | com.db4o.config.ObjectClass.CascadeOnActivate | com.db4o.ObjectContainer.Activate | Using callbacks